<?php

include_once("modules/dashboard/includes/panel.class.php");
include_once("modules/packages/includes/packages-xmlrpc.inc.php");

$options = array(
    "class" => "UpdatesPanel",
    "id" => "updates",
    "refresh" => 30,
    "title" => _T("System updates", "packages")
);

class UpdatesPanel extends Panel {

    function display_content() {
        $statuses = Statuses::Get();
        $code = $this->data['status'];
        $btn = false;

        $type = "success";
        if ($code > 0)
            $type = "warning";
        if ($code > 10)
            $type = "info";
        if ($code > 30)
            $type = "error";
        if ($code > 40)
            $type = "warning";

        $m = new Message("<strong>" . $statuses[$code] . '</strong>', $type);
        $m->display();

        if ($type == "success") {
            $btnText =  _T('Check', 'packages');
            $url = urlStrRedirect("packages/updates/index", array("check" => 1));
        }
        else if ($code == 1) {
            $btnText =  _T('Update', 'packages');
            $url = urlStrRedirect("packages/updates/index", array("update" => 1));
        }
        else if ($code == 42) {
            $url = urlStrRedirect("services/control/reboot");
            $btnText = _T("Reboot", "packages");
            $btn = '<button class="btn btn-small btn-warning" onclick="rebootMMC()">' . $btnText . '</button>'
?>
            <form id="logout" method="post" action="/mmc/logout/index.php">
                <input type="hidden" name="delog" value="1" />
            </form>
            <script>
                rebootMMC = function() {
                    new Ajax.Request("<?= $url ?>");
                }
            </script>
<?php
            $n = new NotifyWidgetWarning($statuses[$code]);
            $n->add($btn);
        }
        else {
            $btnText =  _T('View', 'packages');
            $url = urlStrRedirect("packages/updates/index");
        }

        echo '<div style="text-align: right">';
        if ($btn) echo $btn;
        else echo '<a class="btn btn-small" href="' . $url . '">' . $btnText . '</a>';
        echo '</div>';
     }
}
