<?php

include("modules/packages/includes/packages-xmlrpc.inc.php");

list($statusCode, $updatesOutput)  = updatesStatus();
$filter = "";
$statuses = Statuses::Get();
$f = new Form();

if ($statusCode == 1) {
    $m = new SuccessMessage($statuses[$statusCode]);
    $m->display();
}
else if ($statusCode > 1 && $statusCode < 30) {
    $m = new Message('<img src="img/common/loader_p.gif" style="vertical-align: bottom;" /> ' . $statuses[$statusCode]);
    $m->display();
    // Refresh the page when somthing is cooking up
    echo '<script type="text/javascript">setTimeout(pushSearch, 2000);</script>';
}
else if ($statusCode > 30 and $statusCode < 40) {
    $m = new ErrorMessage("<strong>" . $statuses[$statusCode] .
                          "</strong><br><br><pre>" . $updatesOutput . "</pre>");
    $m->display();
}
else if ($statusCode > 40) {
    $m = new WarningMessage("<strong>" . $statuses[$statusCode] . "</strong>");
    $m->display();
}

if ($statusCode == 0 || $statusCode == 1 || $statusCode > 30 && $statusCode < 40) {
    if (isset($_GET['filter']))
        $filter = $_GET['filter'];
    $updates = listUpdates($filter);

    if (count($updates) > 0) {
        $package = array();
        $description = array();
        $version = array();

        foreach($updates as $update) {
            $package[] = $update[0];
            $description[] = $update[1];
            $version[] = $update[2];
        }

        $l = new ListInfos($package, _T("Package", "packages"));
        $l->first_elt_padding = 1;
        $l->setNavBar(new AjaxNavBar(count($package), $filter));
        $l->addExtraInfo($description, _T("Description", "packages"));
        $l->addExtraInfo($version, _T("Version", "packages"));
        $l->setName(_T("Updates", "packages"));
        $l->display();

        $f->addButton("update", _T("Update packages", "packages"));
    }
    else if ($statusCode == 0) {
        $m = new SuccessMessage($statuses[$statusCode]);
        $m->display();
    }

    $f->addButton("check", _T("Check for updates", "packages"), "btn");
    $f->display();
}

?>
